﻿#include <iostream>
using namespace std;

class Plane
{

public:
	int static count;  // Только указание на то, что есть глобальная Plane::count
	double PI = 3.14;
	static int GetCount();
	Plane();
	~Plane();
};

typedef Plane* PPlane;

int Plane::count = 0; // Объявление и инициализация статического поля

int Plane::GetCount() { return count;  }

Plane::Plane() { count++; }
Plane::~Plane() { count--; }


int main()
{
	PPlane p[3];

	cout << Plane::GetCount() << endl;

	p[0] = new Plane(); cout << Plane::GetCount() << endl;
	p[1] = new Plane(); cout << Plane::GetCount() << endl;
	p[2] = new Plane(); cout << Plane::GetCount() << endl;
	delete p[2];
	cout << Plane::GetCount() << endl;
	{
		Plane b;
		cout << Plane::GetCount() << endl;
	}
	cout << Plane::GetCount() << endl;



}